Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.Actions.AlignPrecursors
Class MA_ClustalW

    java.lang.Object
      de.unibi.techfak.InSilicoDicer.Actions.AlignPrecursors.MA_ClustalW

All Implemented Interfaces:
  Action, IMultipleAlignAction

    public class MA_ClustalW

extends java.lang.Object
implements IMultipleAlignAction

Implementation of interface IMultipleAlignAction implements an alignments class using a locally installed clustalw tool.

Author:
  Sylvia Tippmann Jan Krüger

Constructor Summary
`MA_ClustalW()` Default Constructor - creates a new Status object and calls constructor MA_ClustalW(Status status)
`MA_ClustalW(Status status)` Constructor

Method Summary
`java.util.Vector` | `align(PrecursorContainer pc)` Creates Multiple Alignment
`Status` | `getStatus()` Returns the status of current Action
`void` | `setStatus(Status status)` Set the status of current Action

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MA_ClustalW

    public MA_ClustalW()

  Default Constructor - creates a new Status object and calls constructor MA_ClustalW(Status status)

### MA_ClustalW

    public MA_ClustalW(Status status)

  Constructor

  Parameters:
    `status` - - The status to be set

Method Detail

### align

    public java.util.Vector align(PrecursorContainer pc)

  Description copied from interface: `IMultipleAlignAction`
  Creates Multiple Alignment

  Specified by:
    `align` in interface `IMultipleAlignAction`
  Parameters:
    `pc` - - PreCursor container containing at least 2 sequences
  Returns:
    Vector - Vector containing aligned sequences in order of input Precursor container

### getStatus

    public Status getStatus()

  Description copied from interface: `Action`
  Returns the status of current Action

  Specified by:
    `getStatus` in interface `Action`
  Returns:
    Status of this Action

### setStatus

    public void setStatus(Status status)

  Description copied from interface: `Action`
  Set the status of current Action

  Specified by:
    `setStatus` in interface `Action`
  Parameters:
    `status` - - Status to be set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD